Last Comment Bug 124859 - Inconsistent returned "PreferMailFormat" values
: Inconsistent returned "PreferMailFormat" values
Status: RESOLVED WONTFIX
:
Product: MailNews Core
Classification: Components
Component: LDAP Integration (show other bugs)
: Trunk
: All All
-- normal (vote)
: ---
Assigned To: John Marmion
: grylchan
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-11 09:34 PST by John Marmion
Modified: 2008-07-31 01:23 PDT (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Ensure consistent returned values for non-Mozilla queries (1.21 KB, patch)
2002-02-11 10:08 PST, John Marmion
no flags Details | Diff | Splinter Review
keep patch up-to-date with head (1.21 KB, patch)
2002-07-04 10:28 PDT, John Marmion
no flags Details | Diff | Splinter Review
Add explanation as requested by dan. (3.09 KB, patch)
2002-08-12 03:38 PDT, John Marmion
no flags Details | Diff | Splinter Review

Description User image John Marmion 2002-02-11 09:34:56 PST
OpenOffice.org(OOo) uses Mozilla's AB Query implementation. When the Mozilla
attribute "PreferMailFormat" is accessed from a mork database, the values "0",
"1" or "2" are returned. When an LDAP Directory Server supporting this attribute
is accessed, the returned values are "true" or "false". 

Mozilla itself does not have this problem because it never requests individual
properties, it always requests an nsIAbCard interface which it uses to fetch the
values. On the other-hand OOo is requesting the properties without using the
nsIAbCard interface. This problem was highlighted following the fix for bug
#119331

I hope to attach a patch for this bug soon.
Comment 1 User image John Marmion 2002-02-11 10:08:11 PST
Created attachment 68884 [details] [diff] [review]
Ensure consistent returned values for non-Mozilla queries
Comment 2 User image Srilatha Moturi 2002-02-11 10:34:50 PST
John, since you have the patch do you want to take this bug.
Comment 3 User image John Marmion 2002-02-12 02:34:43 PST
OK Srilatha.
Comment 4 User image John Marmion 2002-02-12 02:39:27 PST
Taking ownership of this and will press aheadd for a review.
Comment 5 User image John Marmion 2002-07-04 10:28:37 PDT
Created attachment 90238 [details] [diff] [review]
keep patch up-to-date with head

no content change but keep patch up-to-date with head
Comment 6 User image Dan Mosedale (:dmose) 2002-07-10 17:56:58 PDT
Comment on attachment 90238 [details] [diff] [review]
keep patch up-to-date with head

It's not entirely clear to me what's going on here.  Can you add some comments
to the code to help clear that up?   Also, be sure to add your name to the
Contributors list in the license boilerplate at the top of the file.
Comment 7 User image John Marmion 2002-08-12 03:38:41 PDT
Created attachment 94908 [details] [diff] [review]
Add explanation as requested by dan.

Finally responding to Dan's initial look at this and hoping the comments
clarify the reasoning behind this request.I will re-submit this for review.
Comment 8 User image John Marmion 2002-09-26 03:56:22 PDT
I am going to mark this as "WONTFIX". The is a bug, but it is only visible from
OpenOffice.org (OOo) which integrates with Mozilla's Address Book. OOo accessed
the card properties by requesting individual properties and then getting the
value. Mozilla on the other hand uses the "card:nsIAbCard" interface and thus
individual card properties can be retreived from there. OOo is now going to
request the card properties using the same interface thus ensuring that this
code is not activated.

Note You need to log in before you can comment on or make changes to this bug.